Bug 142780 - openssl can take thw whole cpu forever
openssl can take thw whole cpu forever
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-13 20:18 EST by Alexandre Strube
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-10 04:43:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Strube 2004-12-13 20:18:53 EST
Description of problem:
when using the simple script 
echo "GET /update.asp?u=$1&p=$2&cmd=update&set=2&offline=0" | openssl
s_client -quiet -connect www.changeip.com:443 &

to update a dynamic dns, sometimes something wrong can happen (ie
network timeout, connection down, etc).

When this happens, openssl gets stucked, using 100% of cpu resources,
forever. You have to kill it to use the computer again.

Version-Release number of selected component : openssl-0.9.7a-40.src.rpm

How reproducible: Sometimes

Steps to Reproduce:
1. run this script
2. something wrong (which of course I don't know what is) happens
3. openssl keeps up consuming cpu power.
Actual results:
top and gnome-system-monitor shows that openssl is using 100% of cpu

Expected results:
an error message, a beep, anything but this :-)

Additional info:
Comment 1 Tomas Mraz 2005-02-10 04:43:02 EST
openssl s_client is only for debugging purposes, please use a
different https client (curl, ...)

Otherwise, report the bug upstream.

Note You need to log in before you can comment on or make changes to this bug.